Skip to main content
GET
/
v1
/
analytics
/
taps
Get taps analytics
curl --request GET \
  --url https://api.oneofnone.io/v1/analytics/taps \
  --header 'x-api-key: <api-key>'
{
  "meta": {
    "total_taps": 1
  },
  "timeseries": [
    {
      "date": "<string>",
      "total_taps": 123,
      "unique_users": 123
    }
  ],
  "top_collections": [
    {
      "collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "total_taps": 1,
      "unique_users": 1,
      "collection": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "slug": "<string>",
        "type": "<string>",
        "image_url": "<string>"
      }
    }
  ],
  "top_locations": [
    {
      "country_code": "<string>",
      "region_code": "<string>",
      "total_taps": 123,
      "unique_users": 123
    }
  ],
  "top_products": [
    {
      "collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "short_url_id": "<string>",
      "total_taps": 1,
      "unique_users": 1,
      "collection": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "slug": "<string>",
        "type": "<string>",
        "image_url": "<string>"
      },
      "short_url": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "url": "<string>",
        "title": "<string>"
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

The API key required for accessing protected routes. It should be included in the request headers as x-api-key.

Query Parameters

team_id
string

Filter by team ID. One of team_id, team_slug, team_ids, or team_slugs required.

team_slug
string

Filter by team slug.

team_ids
string

Comma-separated team IDs. Mutually exclusive with team_id/team_slug.

team_slugs
string

Comma-separated team slugs. Mutually exclusive with team_id/team_slug.

date_from
string<date>
required

The start date for the analytics in ISO 8601 format (e.g., "2024-09-01"). Required.

date_to
string<date>

The end date for the analytics in ISO 8601 format (e.g., "2024-09-30"). If not provided, defaults to current date.

aggregation
enum<string>
default:daily

The aggregation level for the data.

Available options:
daily,
weekly,
monthly,
quarterly,
yearly
collection_id
string<uuid>

The collection ID to filter by.

collection_slug
string

The collection slug to filter by.

short_url_id
string<uuid>

The short URL ID to filter by.

country_code
string

The country code to filter by.

region_code
string

The region code to filter by.

os
enum<string>

The operating system to filter by.

Available options:
ios,
android,
other,
all
order_by
enum<string>

The field to order by.

Available options:
date,
total_taps,
unique_users,
conversion_rate
order
enum<string>

The sort order (ascending or descending).

Available options:
asc,
desc
limit
integer
default:50

The number of results per page.

Required range: x >= 1
offset
integer
default:0

The offset for pagination.

Required range: x >= 0

Response

Successfully fetched product taps analytics.

Structured taps/analytics response (BFF pattern).

meta
object
required
timeseries
object[]
required
top_collections
object[]
required
top_locations
object[]
required
top_products
object[]
required